
ISTI Open Access - Feature #16704

Make use of Elsevier APIs for collecting per product scopus citations (if any)

May 16, 2019 04:45 PM - Leonardo Candela

Status: New Start date: May 16, 2019

Priority: Normal Due date:  

Assignee: Michele Artini % Done: 0%

Category:    

Target version: To Be Planned   

Description

Elsevier offers a number of APIs https://dev.elsevier.com/api_docs.html

In particular 

the Abstract Citations Count API https://dev.elsevier.com/documentation/AbstractCitationCountAPI.wadl returns a watermarked

image per paper indexed by Scopus;

the Citation Overview API https://dev.elsevier.com/documentation/AbstractCitationAPI.wadl returns a per year document citation

counts per paper indexed by Scopus;

Using the first is quite simple (an API key is needed) ... I am using in my website. Among the advantages of this solution there is the

fact that people linking on it have access to a Scopus page listing the papers contributing to the citation count.   

Related issues:

Related to ISTI Open Access - Feature #16809: Integrate Dimensions badge Completed May 30, 2019

History

#1 - May 16, 2019 04:46 PM - Leonardo Candela

An example is here http://www.nmis.isti.cnr.it/candela/My_papers/Entries/2018/10/30_The_gCube_System__Delivering_VREs_as-a-Service.html

#2 - May 16, 2019 04:49 PM - Paolo Manghi

Are the APIs limited to a number of accesses per IP/per day? This may cause issues in high picks of requests (anvur?). Shall we use CNR/ISTI

credentials? 

Shall we do the same for Google Scholar?

#3 - May 16, 2019 06:33 PM - Leonardo Candela

Paolo Manghi wrote:

Are the APIs limited to a number of accesses per IP/per day? This may cause issues in high picks of requests (anvur?). Shall we use CNR/ISTI

credentials? 

 An API Key is needed, I can generate one with my Scopus credentials. I see no massive loads ... the API should be invoked per paper, i.e. when a

user accesses the paper page. 

Shall we do the same for Google Scholar?

 AFAIK there are no APIs there. 

#4 - May 16, 2019 07:12 PM - Paolo Manghi

Leonardo Candela wrote:

Paolo Manghi wrote:

Are the APIs limited to a number of accesses per IP/per day? This may cause issues in high picks of requests (anvur?). Shall we use

CNR/ISTI credentials? 

 An API Key is needed, I can generate one with my Scopus credentials. I see no massive loads ... the API should be invoked per paper, i.e. when

a user accesses the paper page. 
 The advantage I see is to generate a list of articles together with the individual numbers, plus the calculation of overall numbers for users, labs, etc.

Shall we do the same for Google Scholar?

 

we need to scrape, we have 100 accesses per day I think. 

AFAIK there are no APIs there.

#5 - May 30, 2019 03:43 PM - Leonardo Candela

- Related to Feature #16809: Integrate Dimensions badge added

#6 - Mar 25, 2025 11:44 AM - Luca Frosini

- Target version changed from ISTI Open Portal Tasks to To Be Planned
